import React from 'react';
import RenderService from './render';
import DeferredSerivce from './process';
import { InjectProps } from './router';
import { ICreateService, Options } from './create';
import { IMiddleware } from './middleware';
import { IConfiguration } from './configuration';
export default class CreateService extends DeferredSerivce implements ICreateService {
    private _options;
    constructor(options?: Options);
    injectConfigurations: (configurations: IConfiguration[]) => import("./configuration").IResponseConfiguration;
    use: (middleware: IMiddleware) => never;
    injectRouters: (Router: React.FC<InjectProps>) => void;
    start: (container: string) => RenderService;
    private getRootComponent;
}
//# sourceMappingURL=create.service.d.ts.map