var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import React from 'react';
export class RenderService {
    constructor(container, RootComponent) {
        this.bootstrap = () => __awaiter(this, void 0, void 0, function* () {
            return Promise.resolve();
        });
        /**
         *
         * @param props 外部传入(master 服务)
         */
        this.mount = (props) => __awaiter(this, void 0, void 0, function* () {
            const ReactDOM = require('react-dom');
            const { container } = props;
            return ReactDOM.render(React.createElement(this.RootComponent, props), container
                ? container.querySelector(this.container)
                : document.querySelector(this.container));
        });
        this.unmount = (props) => __awaiter(this, void 0, void 0, function* () {
            const ReactDOM = require('react-dom');
            const { container } = props;
            return ReactDOM.unmountComponentAtNode(container
                ? container.querySelector(this.container)
                : document.querySelector(this.container));
        });
        this.container = container;
        this.RootComponent = RootComponent;
    }
    render() {
        if (!window.__POWERED_BY_QIANKUN__) {
            return this.mount({});
        }
    }
}
//# sourceMappingURL=render.service.js.map