import invariant from 'invariant';
import DeferredSerivce from '../process';
import { isFunction } from 'friday-helpers';
import { createBrowserHistory } from 'friday-router';
export default class RouterService extends DeferredSerivce {
    constructor() {
        super(...arguments);
        this.injectRouters = (Router) => {
            invariant(isFunction(Router), `[inject router] component should be function, but got ${typeof Router}`);
            this.Router = Router;
            this.inject_finally();
        };
        this.getRouter = (extraProps) => {
            return this.Router(extraProps);
        };
    }
    getHistory(options) {
        return createBrowserHistory(options);
    }
}
//# sourceMappingURL=router.service.js.map