import React from 'react';
import invariant from 'invariant';
import { configurationService } from './index';
const useConfiguration = () => {
    const config = React.useMemo(() => configurationService.getConfiguration(), []);
    invariant(config, '[useConfiguration]: configuration no initial');
    return config;
};
export default useConfiguration;
//# sourceMappingURL=useConfiguration.js.map