import { IConfiguration } from '../configuration';
export interface IMiddlewareProps {
    App: (props: any) => JSX.Element;
    configuration: IConfiguration;
}
export declare type IMiddlewareFC = (params: IMiddlewareProps) => IMiddlewareProps;
export declare type IMiddleware = (props: IMiddlewareProps) => IMiddlewareProps;
export interface IMiddlewareService {
    use(middleware: IMiddleware): void;
    apply(props: IMiddlewareProps): void;
    getMiddleware(): IMiddleware[];
}
//# sourceMappingURL=middleware.d.ts.map